{
  num: -356025,
  accuracy: 100,
  basePower: 15,
  category: "Special",
  name: "Black Butterfly",
  pp: 20,
  priority: 0,
  flags: { protect: 1 },
  multihit: [3, 6],

  onPrepareHit(source, target, move) {
    move.blackbutterflyLayersAdded = 0;
  },

  onHit(target, source, move) {
    if (!source.blackbutterflyLayers) {
      source.blackbutterflyLayers = 0;
    }
    source.blackbutterflyLayers++;
    move.blackbutterflyLayersAdded++;
  },

  onAfterMove(source, target, move) {
    if (move.blackbutterflyLayersAdded > 0) {
      const total = source.blackbutterflyLayers || 0;
      this.add('-activate', source, 'move: Black Butterfly');
      this.add('-start', source, 'blackbutterfly', total);
    }
  },

  target: "normal",
  type: "Ghost",
  contestType: "Beautiful"
}